const gulp = require("gulp");
const sourcemaps = require("gulp-sourcemaps");
const uglify = require("gulp-uglify");
const rename = require("gulp-rename");
const config = require("../config");

gulp.task("minify-javascript", () => gulp.src(`${config.buildDirectory}/**/*.js`)
    .pipe(rename({
        extname: ".min.js",
    }))
    .pipe(sourcemaps.init({ loadMaps: true }))
    .pipe(uglify())
    .pipe(gulp.dest(config.buildDirectory))
    .pipe(sourcemaps.write("./"))
    .pipe(gulp.dest(config.buildDirectory)));
