const gulp = require("gulp");
const minifyCSS = require("gulp-minify-css");
const rename = require("gulp-rename");
const config = require("../config");

gulp.task("minify-css", () => gulp.src(`${config.buildDirectory}/**/*.css`)
    .pipe(minifyCSS())
    .pipe(rename({
        extname: ".min.css",
    }))
    .pipe(gulp.dest(config.buildDirectory)));
