import HwSdk from "../hwSdk";

describe("hwSdk.js", () => {
    it("should contain getHyperwalletConfiguration", () => {
        /* jshint -W030 */
        HwSdk.getHyperwalletConfiguration.should.not.be.undefined;
    });

    it("should contain isAuthenticated", () => {
        /* jshint -W030 */
        HwSdk.isAuthenticated.should.not.be.undefined;
    });

    it("should contain initialize", () => {
        /* jshint -W030 */
        HwSdk.initialize.should.not.be.undefined;
    });

    it("should set partner configuration", () => {
        const partnerConfig = [{
            partner: "gopay",
            configuration: {
                uri: "/gopay.js",
            },
        }];
        HwSdk.initializePartner(partnerConfig);
        HwSdk.partners.should.have.length(1);
    });

    it("should return partner configuration", () => {
        expect(HwSdk.getPartnerConfiguration("gopay").configuration.uri).to.equal("/gopay.js",
            "URI is not correct");
    });

    it("should return undefined if partner configuration not found", () => {
        expect(HwSdk.getPartnerConfiguration("alipay")).to.be.undefined;
    });
});
